########################################
#
# datapack by SNIGUR
#
########################################

tag @a remove room1_completed
tag @a remove door1_opened

tag @a remove pattern_solved
tag @a remove door2_opened

tag @a remove bathroom_handle_placed
tag @a remove bathroom_door_repeired

tag @a remove blocks_placed
tag @a remove doors3_opened

tag @a remove dishes_placed
tag @a remove door4_opened

tag @a remove screen_turned_on
tag @a remove flask_breaked

tag @a remove key_inserted
tag @a remove fireplace_opened
tag @a remove returned
tag @a remove mirror_breaked
tag @a remove decor_mirrored

tag @a remove entered_cave
tag @a remove end_title_shown

function me2:mansion/library/secret_door_reset
function me2:pictures

clone 15 4 7 15 6 9 1019 17 1011
fill 1018 8 1012 1018 11 1015 black_concrete
fill 1019 8 1012 1019 11 1015 green_concrete
fill 995 6 1002 995 6 999 iron_bars
kill @e[tag=weight_block]
kill @e[tag=ice_ref]
kill @e[tag=iron_block_ref]
kill @e[tag=note_block_ref]
kill @e[tag=books]
kill @e[tag=ice]
kill @e[tag=iron_block]
kill @e[tag=note_block]
kill @e[tag=bathroom]
kill @e[tag=dining_r]
kill @e[tag=books]
kill @e[tag=bedroom_books]
kill @e[tag=bedroom_books_mirror]
kill @e[tag=bedroom_clock]
kill @e[tag=bedroom_clock_mirror]
kill @e[tag=secret_lib_clock]
kill @e[tag=key_holder]
kill @e[tag=key_holder_glow]
kill @e[tag=exhibit]
kill @e[tag=cake]
kill @e[tag=muffin]
kill @e[tag=salad]
kill @e[tag=burger]

#Living room
fill 1006 6 1000 1006 8 1001 barrier
fill 1007 6 1000 1007 8 1001 spruce_door[half=upper,hinge=left,facing=east]
fill 1007 6 999 1008 8 999 air

fill 1000 6 1007 999 8 1007 barrier
fill 1000 6 1008 999 8 1008 spruce_door[half=upper,hinge=left,facing=south]
fill 1001 6 1008 1001 8 1009 air

fill 999 6 994 1000 8 994 barrier
fill 999 6 993 1000 8 993 spruce_door[half=upper,hinge=left,facing=north]
fill 998 6 993 998 8 992 air

#setblock 13 4 14 barrel[facing=down]{Items:[{Slot:0b,id:"minecraft:player_head",Count:1b,tag:{display:{Name:'{"text":"Rainbow Note","color":"yellow","bold":true,"italic":false}'},SkullOwner:{Id:[I;996537807,-1231534460,-2024641515,-530816022],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZjIyZTQwYjRiZmJjYzA0MzMwNDRkODZkNjc2ODVmMDU2NzAyNTkwNDI3MWQwYTc0OTk2YWZiZTNmOWJlMmMwZiJ9fX0="}]}}}},{Slot:13b,id:"minecraft:tripwire_hook",Count:1b,tag:{display:{Name:'{"text":"Handle","italic":false}'}}},{Slot:17b,id:"minecraft:player_head",Count:1b,tag:{display:{Name:'{"text":"Snowglobe","color":"yellow","bold":true,"italic":false}'},SkullOwner:{Id:[I;-711855678,-1515173248,-2115222405,208353478],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTMyMjlmODUyNTcyNjY4NGZiMDIyN2RhZDc2MjFmMDVmMGI4YjVkNThhODY5M2ZkMGVhMDY4ODM0OWYxZDUzYyJ9fX0="}]}}}},{Slot:26b,id:"minecraft:player_head",Count:1b,tag:{display:{Name:'{"text":"Irin Golem","color":"yellow","bold":true,"italic":false}'},SkullOwner:{Id:[I;-847629707,-1011593993,-2048760807,-2341734],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjJiY2FjZWViNDE2MmY0MDBkNDQ3NDMzMTU5MzJhYzgyMGQzMTE5YWM4OTg2YTAxNjFhNzI2MTYxY2NjOTNmYyJ9fX0="}]}}}}]} replace

clone 13 4 14 13 4 14 1003 6 997

#Kitchen
fill 1006 6 987 1006 8 988 barrier
fill 1007 6 987 1007 8 988 spruce_door[half=upper,hinge=left,facing=east]
fill 1007 6 986 1008 8 986 air

setblock 994 7 988 blast_furnace[facing=east,lit=false]{Lock:"qwerty"} destroy
setblock 994 7 987 blast_furnace[facing=east,lit=false]{Lock:"qwerty"} destroy

#Second floor
setblock 1019 17 1018 minecraft:potted_lily_of_the_valley
setblock 1007 6 982 minecraft:potted_dead_bush

fill 1012 16 1000 1013 18 1000 air

fill 1011 16 1000 1011 18 1001 barrier
fill 1012 16 1000 1012 18 1001 spruce_door[half=upper,hinge=left,facing=east]
fill 1034 16 1001 1034 18 1000 spruce_door[half=upper,hinge=left,facing=west]

fill 1015 16 1015 1015 17 1015 spruce_door[half=upper,hinge=right,facing=south]

setblock 1021 17 1005 minecraft:flower_pot
setblock 1020 19 996 minecraft:flower_pot
fill 1023 17 999 1023 18 1002 minecraft:light_blue_stained_glass_pane

summon armor_stand 1015.75 16 1015 {Invisible:1b,NoGravity:1b,Invulnerable:1b,ShowArms:1b,Tags:["door_handle","bathroom"],Rotation:[-90f],Pose:{RightArm:[0f,90f,270f]},DisabledSlots:4079166}
summon armor_stand 1015.25 16 1015 {Invisible:1b,NoGravity:1b,Invulnerable:1b,Tags:["bathroom"],DisabledSlots:4079166}

setblock 1008 21 1006 minecraft:spruce_trapdoor[facing=north,half=bottom,open=false] destroy

#Secret room
fill 1010 7 1014 1010 10 1013 minecraft:lime_stained_glass

tag @a remove prepared

tp @a 1000 7 1000 90 0